#!/usr/bin/env bash
set -o errexit
set -o nounset
set -o pipefail
set -o xtrace

for dir in files/*/ ; do
    ./dump.sh $(basename ${dir} | sed 's/x/ /g')
done

for i in 1 2 3 4 5 6 7 8 9 10; do
    for dir in files/*/ ; do
        ./bench.sh $(basename ${dir} | sed 's/x/ /g')
    done
    cp -r files runs/${i}
done
